> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/cms/api-cms-process-video.md).

# /api/cms/process‑video

## POST /api/cms/process-video

> Process Video for CMS

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/cms/process-video"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"post_cms_process-video":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["filename","cms_set_id"]}}},"paths":{"/api/cms/process-video":{"post":{"description":"Process Video for CMS","tags":["/api/cms/process-video"],"parameters":[{"name":"filename","in":"query","schema":{"type":"string"},"required":true},{"name":"remove","in":"query","schema":{"default":0,"type":"string"},"required":false},{"name":"screenshots","in":"query","schema":{"default":0,"type":"string"},"required":false},{"name":"trailer","in":"query","schema":{"default":0,"type":"string"},"required":false},{"name":"update","in":"query","schema":{"default":0,"type":"string"},"required":false},{"name":"cms_set_id","in":"query","schema":{"default":"--broken--","type":"integer"},"required":true},{"name":"location","in":"query","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/post_cms_process-video"}},"application/json":{"schema":{"$ref":"#/components/schemas/post_cms_process-video"}},"application/xml":{"schema":{"$ref":"#/components/schemas/post_cms_process-video"}}}}}}}}}
```
